Kea: isc::netconf::CfgServer Class Reference

| Kea 1.5.0

Public Member Functions | List of all members
isc::netconf::CfgServer Class Reference

Represents a Managed CfgServer. More...

`#include <netconf_config.h>`

Inheritance diagram for isc::netconf::CfgServer:
[legend]

## Public Member Functions
| CfgServer (const std::string &model, CfgControlSocketPtr ctrl_sock)
| Constructor. More...
virtual | ~CfgServer ()
| Destructor (doing nothing). More...
bool | getBootUpdate () const
| Getter which returns the boot-update flag. More...
const CfgControlSocketPtr & | getCfgControlSocket () const
| Getter which returns the control socket. More...
const std::string | getModel () const
| Getter which returns the model name. More...
bool | getSubscribeChanges () const
| Getter which returns the subscribe-changes flag. More...
bool | getValidateChanges () const
| Getter which returns the validate-changes flag. More...
void | setBootUpdate (bool boot_update)
| Set the boot-update flag. More...
void | setSubscribeChanges (bool subscribe_changes)
| Set the subscribe-changes flag. More...
void | setValidateChanges (bool validate_changes)
| Set the validate-changes flag. More...
virtual isc::data::ElementPtr | toElement () const
| Unparse a configuration object. More...
std::string | toText () const
| Returns a text representation for the server. More...
Public Member Functions inherited from isc::data::UserContext
void | contextToElement (data::ElementPtr map) const
| Merge unparse a user_context object. More...
data::ConstElementPtr | getContext () const
| Returns const pointer to the user context. More...
void | setContext (const data::ConstElementPtr &ctx)
| Sets user context. More...
Public Member Functions inherited from isc::data::CfgToElement
virtual | ~CfgToElement ()
| Destructor. More...

## Additional Inherited Members
Static Public Member Functions inherited from isc::data::UserContext
static data::ElementPtr | toElement (data::ConstElementPtr map)
| Copy extracting comments an Element map. More...
Protected Attributes inherited from isc::data::UserContext
data::ConstElementPtr | user_context_
| Pointer to the user context (may be NULL) More...

## Detailed Description

Represents a Managed CfgServer.

Acts as a storage class containing the basic attributes and the Control Socket which describe a Managed CfgServer.

Definition at line 150 of file netconf_config.h.

## Constructor & Destructor Documentation

## ◆ CfgServer()

isc::netconf::CfgServer::CfgServer | ( | const std::string & | model,
|  | CfgControlSocketPtr | ctrl_sock
| ) |  |

Constructor.

Parameters

  model | The model name.
  ctrl_sock | The control socket.

Definition at line 81 of file netconf_config.cc.

## ◆ ~CfgServer()

isc::netconf::CfgServer::~CfgServer | ( |  | ) |
| virtual

Destructor (doing nothing).

Definition at line 86 of file netconf_config.cc.

## Member Function Documentation

## ◆ getBootUpdate()

bool isc::netconf::CfgServer::getBootUpdate | ( |  | ) | const
| inline

Getter which returns the boot-update flag.

Returns
  returns the boot-update flag as a bool.

Definition at line 178 of file netconf_config.h.

## ◆ getCfgControlSocket()

const CfgControlSocketPtr& isc::netconf::CfgServer::getCfgControlSocket | ( |  | ) | const
| inline

Getter which returns the control socket.

Returns
  returns the control socket as a CfgControlSocketPtr.

Definition at line 171 of file netconf_config.h.

## ◆ getModel()

const std::string isc::netconf::CfgServer::getModel | ( |  | ) | const
| inline

Getter which returns the model name.

Returns
  returns the model name as a std::string

Definition at line 164 of file netconf_config.h.

## ◆ getSubscribeChanges()

bool isc::netconf::CfgServer::getSubscribeChanges | ( |  | ) | const
| inline

Getter which returns the subscribe-changes flag.

Returns
  returns the subscribe-changes flag as a bool.

Definition at line 192 of file netconf_config.h.

## ◆ getValidateChanges()

bool isc::netconf::CfgServer::getValidateChanges | ( |  | ) | const
| inline

Getter which returns the validate-changes flag.

Returns
  returns the validate-changes flag as a bool.

Definition at line 206 of file netconf_config.h.

## ◆ setBootUpdate()

void isc::netconf::CfgServer::setBootUpdate | ( | bool | boot_update | ) |
| inline

Set the boot-update flag.

Parameters

  boot_update | The boot-update flag.

Definition at line 185 of file netconf_config.h.

## ◆ setSubscribeChanges()

void isc::netconf::CfgServer::setSubscribeChanges | ( | bool | subscribe_changes | ) |
| inline

Set the subscribe-changes flag.

Parameters

  subscribe_changes | The subscribe-changes flag.

Definition at line 199 of file netconf_config.h.

## ◆ setValidateChanges()

void isc::netconf::CfgServer::setValidateChanges | ( | bool | validate_changes | ) |
| inline

Set the validate-changes flag.

Parameters

  validate_changes | The validate-changes flag.

Definition at line 213 of file netconf_config.h.

## ◆ toElement()

ElementPtr isc::netconf::CfgServer::toElement | ( |  | ) | const
| virtual

Unparse a configuration object.

Returns
  a pointer to a configuration

Implements isc::data::CfgToElement.

Definition at line 112 of file netconf_config.cc.

References isc::data::UserContext::contextToElement().

Here is the call graph for this function:

## ◆ toText()

string isc::netconf::CfgServer::toText | ( |  | ) | const

Returns a text representation for the server.

Definition at line 90 of file netconf_config.cc.

Referenced by isc::netconf::operator<<().

The documentation for this class was generated from the following files:

- netconf_config.h
- netconf_config.cc